
* {
  box-sizing: border-box;
}

body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
}

.gallery-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  padding: 20px;
}

.main-image img {
  width: 100%;
  max-width: 800px;
  height:800px ;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

    /* Scroll bar stil ayarları */
    .thumbnail-container::-webkit-scrollbar {
  height: 10px; /* Scroll bar yüksekliği */
}

.thumbnail-container::-webkit-scrollbar-track {
  background: #f2f2f2; /* Scroll bar arka planı */
  border-radius: 10px; /* Scroll bar yuvarlatılmış köşeleri */
}

.thumbnail-container::-webkit-scrollbar-thumb {
  background-color: #383838; /* Scroll bar rengi (thumb) */
  border-radius: 10px; /* Thumb yuvarlatma */
  border: 2px solid #f2f2f2; /* Thumb etrafındaki boşluk */
}

.thumbnail-container::-webkit-scrollbar-thumb:hover {
  cursor: pointer;
  background-color: #F52029; /* Üzerine gelince daha koyu renk */
}

.thumbnail-container {
  display: flex;
  overflow-x: auto;
  gap: 10px;
  padding: 10px 0;
  width: 70%;
}

.thumbnail-container img {
  width: 100px;
  height: 100px;
  cursor: pointer;
  transition: 0.3s;
  border-radius: 5px;
  opacity: 0.4;
}

.thumbnail-container img:hover {
  opacity: 1;
}

/* Mobil ekranlar için */
@media screen and (max-width: 600px) {
  .thumbnail-container img {
    width: 80px;
  }
}

/* Tablet ve küçük dizüstü bilgisayarlar için */
@media screen and (min-width: 601px) and (max-width: 1024px) {
  .thumbnail-container img {
    width: 90px;
  }
}

/* Büyük ekranlar için */
@media screen and (min-width: 1025px) {
  .thumbnail-container img {
    width: 120px;
  }
}
